diff -rdu fltk-1.1.x-r5224.Orig2/FL/glut.H fltk-1.1.x-r5224/FL/glut.H
--- fltk-1.1.x-r5224.Orig2/FL/glut.H	2005-04-16 02:13:17.000000000 +0200
+++ fltk-1.1.x-r5224/FL/glut.H	2006-06-25 13:54:55.000000000 +0200
@@ -421,6 +421,7 @@
 
 FL_EXPORT void glutBitmapCharacter(void *font, int character);
 FL_EXPORT int glutBitmapWidth(void *font, int character);
+FL_EXPORT int glutBitmapLength(void *font, const unsigned char *string);
 
 ////////////////////////////////////////////////////////////////
 // GLUT drawing functions.  These are NOT emulated but you can
@@ -446,6 +447,7 @@
 /* GLUT font sub-API */
 extern void APIENTRY glutStrokeCharacter(void *font, int character);
 extern int APIENTRY glutStrokeWidth(void *font, int character);
+extern int APIENTRY glutStrokeLength(void *font, const unsigned char *string);
 
 /* GLUT pre-built models sub-API */
 extern void APIENTRY glutWireSphere(GLdouble radius, GLint slices, GLint stacks);
diff -rdu fltk-1.1.x-r5224.Orig2/src/glut_font.cxx fltk-1.1.x-r5224/src/glut_font.cxx
--- fltk-1.1.x-r5224.Orig2/src/glut_font.cxx	2006-06-09 18:16:34.000000000 +0200
+++ fltk-1.1.x-r5224/src/glut_font.cxx	2006-06-25 13:57:53.000000000 +0200
@@ -53,6 +53,11 @@
   return int(gl_width(character)+.5);
 }
 
+int glutBitmapLength(void *font, const unsigned char *string) {
+  gl_font(((Glut_Bitmap_Font *)font)->font,((Glut_Bitmap_Font *)font)->size);
+  return int(gl_width((const char*)string)+.5);
+}
+
 #endif
 
 //
diff -rud fltk-1.1.x-r5187.Orig/FL/glut.H fltk-1.1.x-r5187/FL/glut.H
--- fltk-1.1.x-r5187.Orig/FL/glut.H	2006-06-22 18:08:05.000000000 +0200
+++ fltk-1.1.x-r5187/FL/glut.H	2006-06-22 18:09:06.000000000 +0200
@@ -125,6 +125,8 @@
 
 inline void glutPostRedisplay() {glut_window->redraw();}
 
+FL_EXPORT void glutPostWindowRedisplay(int win);
+
 FL_EXPORT void glutSwapBuffers();
 
 inline int glutGetWindow() {return glut_window->number;}
diff -rud fltk-1.1.x-r5187.Orig/src/glut_compatability.cxx fltk-1.1.x-r5187/src/glut_compatability.cxx
--- fltk-1.1.x-r5187.Orig/src/glut_compatability.cxx	2006-06-22 18:08:09.000000000 +0200
+++ fltk-1.1.x-r5187/src/glut_compatability.cxx	2006-06-22 18:09:59.000000000 +0200
@@ -276,6 +276,10 @@
   delete windows[win];
 }
 
+void glutPostWindowRedisplay(int win) {
+  windows[win]->redraw();
+}
+
 void glutSetWindow(int win) {
   windows[win]->make_current();
 }
